Summary:    Classic Mandriva menu
Name:       desktop-classic-menu-data
Version:    2
Release:    %mkrel 1bdk
License:    GPL
URL:        http://www.mageia.org
Group:      System/Configuration/Other

Source:     %{name}-%{version}.tar.bz2

BuildRoot:  %_tmppath/%name-%version-%release-root
BuildArch:  noarch
Requires:   desktop-common-data >= %{version}
Requires:   drakmenustyle >= 0.14.2
Requires:   patch

%description
This package contains the classic menu style of Mandriva Linux desktop.

It is a slightly revised version of Mandriva 2007.1 menu, adapted to be used in
Mageia %{version}.

This package patches some drakmenustyle files to show it in the menu and
enable the classic menu to be selected in the application. It reverts them back
when it is uninstalled. If drakmenustyle package is updated, the files are
patched again automatically.

%prep

%setup -q




%install

rm -rf %buildroot

# XDG menus
# This command also creates the parent directories needed
install -d -m 0755 %buildroot/%_sysconfdir/xdg/classic/menus/applications-merged
install -m 0644 menu/applications-classic.menu %buildroot/%_sysconfdir/xdg/classic/menus/applications.menu
install -m 0644 menu/applications-classic-base.menu %buildroot/%_sysconfdir/xdg/classic/menus/applications-base.menu
install -m 0644 menu/kde-applications-classic.menu %buildroot/%_sysconfdir/xdg/classic/menus/kde-applications.menu
install -m 0644 menu/ggz.merge.menu %buildroot/%_sysconfdir/xdg/classic/menus/applications-merged/ggz.merge.menu
install -m 0644 menu/%_real_vendor-wine.menu %buildroot/%_sysconfdir/xdg/classic/menus/applications-merged/%_real_vendor-wine.menu

install -d -m 0755 %buildroot/%_datadir/desktop-directories/

for i in menu/desktop-directories/*.directory ; do
    install -m 0644 $i %buildroot/%_datadir/desktop-directories/`basename $i`
done

# Profiles
install -d -m 0755 %buildroot/%_sysconfdir/profile.d
install -m 0755 profile.d/31menustyle.csh %buildroot/%_sysconfdir/profile.d/31menustyle.csh
install -m 0755 profile.d/31menustyle.sh %buildroot/%_sysconfdir/profile.d/31menustyle.sh




%triggerin -- drakmenustyle
# Execute only when drakmenustyle package is updated
if [ "$2" = "2" ] ; then

# Patch for /usr/bin/drakmenustyle to allow selecting classic menu style
patch -p0 -b << "EOF"
--- /usr/bin/drakmenustyle       2009-04-15 15:45:23.000000000 +0200
+++ /usr/bin/drakmenustyle       2009-05-31 22:37:51.000000000 +0200
@@ -36,6 +36,7 @@
 my %menu_styles = (
     if_($> != 0, use_system_settings => N("Use system administrator settings")),
     mageia => N("Mageia menu"),
+    classic => N("Classic Mandriva menu"),
     upstream => N("Original menu (default menu from KDE/GNOME, may not contain all applications)"),
 );
   
EOF

chmod a-x %_bindir/drakmenustyle.orig

# Patch for /usr/share/applications/mageia-drakmenustyle.desktop to make it appear in the menu
patch -p0 -b << "EOF"
--- /usr/share/applications/%_real_vendor-drakmenustyle.desktop      2009-04-15 15:45:23.000000000 +0200
+++ /usr/share/applications/%_real_vendor-drakmenustyle.desktop      2009-05-31 22:37:51.000000000 +0200
@@ -7,4 +7,4 @@
 Type=Application
 StartupNotify=true
 Categories=GTK;X-MandrivaLinux-CrossDesktop;Settings;
-NoDisplay=true
+#NoDisplay=true
EOF

fi




%post
# Execute only when this package is installed, but not when it is updated
if [ "$1" = "1" ] ; then

# Patch for /usr/bin/drakmenustyle to allow selecting classic menu style
patch -p0 -b << "EOF"
--- /usr/bin/drakmenustyle       2009-04-15 15:45:23.000000000 +0200
+++ /usr/bin/drakmenustyle       2009-05-31 22:37:51.000000000 +0200
@@ -36,6 +36,7 @@
 my %menu_styles = (
     if_($> != 0, use_system_settings => N("Use system administrator settings")),
     mageia => N("Mageia menu"),
+    classic => N("Classic Mandriva menu"),
     upstream => N("Original menu (default menu from KDE/GNOME, may not contain all applications)"),
 );
   
EOF

chmod a-x %_bindir/drakmenustyle.orig

# Patch for /usr/share/applications/mageia-drakmenustyle.desktop to make it appear in the menu
patch -p0 -b << "EOF"
--- /usr/share/applications/%_real_vendor-drakmenustyle.desktop      2009-04-15 15:45:23.000000000 +0200
+++ /usr/share/applications/%_real_vendor-drakmenustyle.desktop      2009-05-31 22:37:51.000000000 +0200
@@ -7,4 +7,4 @@
 Type=Application
 StartupNotify=true
 Categories=GTK;X-MandrivaLinux-CrossDesktop;Settings;
-NoDisplay=true
+#NoDisplay=true
EOF

fi

%update_menus

%make_session




%preun
function revert() {
    orig=$1
    patched=$2

    if (( `stat --format "%Z" $patched` - `stat --format "%Z" $orig` < 10 )); then
        [[ $3 = "chmod" ]] && chmod a+x $patched.orig
        mv -f $orig $patched
    else
        rm -f $orig
    fi
}

# Execute only when this package is uninstalled, but not when it is updated
if [ "$1" = "0" ] ; then

# Restore /usr/bin/drakmenustyle
drakmenustyle="%_bindir/drakmenustyle"
revert $drakmenustyle.orig $drakmenustyle chmod

# Restore /usr/share/applications/mageia-drakmenustyle.desktop
drakmenustyle_desktop="%_datadir/applications/%_real_vendor-drakmenustyle.desktop"
revert $drakmenustyle_desktop.orig $drakmenustyle_desktop

fi




%postun

%clean_menus




%clean
rm -fr %buildroot




%files
%defattr(-,root,root,-)

%dir %_sysconfdir/xdg/classic
%dir %_sysconfdir/xdg/classic/menus
%dir %_sysconfdir/xdg/classic/menus/applications-merged
%config(noreplace) %_sysconfdir/xdg/classic/menus/*.menu
%config(noreplace) %_sysconfdir/xdg/classic/menus/applications-merged/*.menu

%_sysconfdir/profile.d/31menustyle.csh
%_sysconfdir/profile.d/31menustyle.sh

%_datadir/desktop-directories/*.directory




%changelog
* Sat Jun 16 2012 Daniel Calviño Sánchez <danxuliu@gmail.com> 2-1bdk.mga2
- Updated applications-base.menu, applications.menu and kde-applications.menu to
  changes in desktop files in Mageia 2.
- Use version tag value instead of hardcoding it.

* Sat Sep 03 2011 Daniel Calviño Sánchez <danxuliu@gmail.com> 1-2.mga1
- Updated applications.menu and kde-applications.menu to changes in desktop
  files in Mageia 1.

* Fri Sep 02 2011 Daniel Calviño Sánchez <danxuliu@gmail.com> 1-1.mga1
- Imported package desktop-classic-menu-data.

* Thu Aug 18 2011 Daniel Calviño Sánchez <danxuliu@gmail.com> 2010.2-1mdv2010.2
- Updated applications.menu and kde-applications.menu to changes in desktop
  files in Mandriva 2010.2.

* Sun Nov 29 2009 Daniel Calviño Sánchez <danxuliu@gmail.com> 2010.0-3mdv2010.0
- Fixed updating drakmenustyle when desktop-classic-menu-data is already
  installed: drakmenustyle files are patched again automatically.
  See "Packaging software with RPM, Part 3 - Running scripts at install and
  uninstall" (http://www.ibm.com/developerworks/library/l-rpm3.html) for further
  information.

* Sun Nov 29 2009 Daniel Calviño Sánchez <danxuliu@gmail.com> 2010.0-2mdv2010.0
- Fixed updating package from previous version: %postun of old package is
  executed after installing new package, so the patching and file removing was
  done in wrong order.
  See "Packaging software with RPM, Part 3 - Running scripts at install and
  uninstall" (http://www.ibm.com/developerworks/library/l-rpm3.html) for further
  information.

* Sun Nov 29 2009 Daniel Calviño Sánchez <danxuliu@gmail.com> 2010.0-1mdv2010.0
- Updated applications.menu and kde-applications.menu to changes in Mandriva
  2010.0.

* Mon Aug 10 2009 Daniel Calviño Sánchez <danxuliu@gmail.com> 2009.1-2mdv2009.1
- Fixed location of several entries in the menu through merging a base layout
  with its fixes using "Include" and "Filename" elements.
- 30menustyle.* files are no longer patched, but 31menustyle.* files are
  installed instead (so the original 30menustyle.* files are executed before
  them)

* Sun May 31 2009 Daniel Calviño Sánchez <danxuliu@gmail.com> 2009.1-1mdv2009.1
- Removed patch for startkde, as in Mandriva 2009.1 it is no longer needed
- Added kde-applications.menu to be used in KDE (equal to applications.menu,
  but needed due to XDG_MENU_PREFIX)
- Changed /etc/profile.d/menustyle.* to /etc/profile.d/30menustyle.*
- Changed spaces to tabs in menustyle patches
- Added missing spaces at the end of drakmenustyle patch

* Mon Dec 24 2007 Daniel Calviño Sánchez <danxuliu@gmail.com> 2008.0-2mdv2008.0
- Patched files aren't reverted any more if they were modified since
  they were patched
- Added better description to the package with information about
  patching and reverting system files
- Added applications-merged menus for Wine and GGZ to override the
  ones adapted to the new menu used by the packages

* Sun Nov 25 2007 Daniel Calviño Sánchez <danxuliu@gmail.com> 2008.0-1mdv2008.0
- Initial version created from desktop-common-data-2007.1-12.1mdv2007.1
